<template>
	<view>
		<textarea placeholder="情感咨询：市总工会职工婚介婚恋咨询专栏上线啦！婚恋情感专家在线解答，助力你的脱单之旅，内容包括但不限于以下：恋爱脱单必备八大心态、什么是爱情、正确的择偶认知、如何正确评估自身在婚恋市场定位、恋爱技巧、相亲注意事项等等......说一说，聊一聊，恋爱路上没烦恼！" maxlength="500" name="" id="" rows="20"  style="margin: 0 auto;width: 690rpx;height: calc( 100vh - 200rpx );" v-model="content"></textarea>
	<view class="" style="width: 650rpx;
	height: 88rpx;
	background: linear-gradient(270deg, #A890FE 0%, #FFAEAE 100%);
	border-radius: 46rpx;line-height: 80rpx;text-align: center;font-size: 36rpx;color: #fff;margin: 20rpx auto;" @click="submit">
			立即咨询
		</view>
	</view>
	
</template>

<script>
	export default {
		data() {
			return {
				content:''
			}
		},
		methods: {
			submit(){
				if(!this.content){
					this.$u.toast('请输入要咨询的内容')
					return
				}
				uni.$u.http.post('/api/index/emotion',{problem:this.content}).then(res => {
					if(res.code==1){
						this.$u.toast(res.msg)
						this.content=''
					}
			})
		}
	},
	}
</script>

<style>

</style>
